package com.shinsoft.sto.service;

import com.shinsoft.sto.model.TransRecord;
import com.baomidou.mybatisplus.extension.service.IService;

import com.shinsoft.tools.model.common.ResultJSON;


/**
 * <p>
 * 库存变更记录表 服务类
 * </p>
 *
 * @author system
 * @since 2024-09-30
 */
public interface TransRecordService extends IService<TransRecord> {

   ResultJSON query(int page, int rows,String params);

   ResultJSON queryByPK(String id);
   /**
    * 修改 库存现有量，并添加库存变更记录
    * 根据  不同的业务类型
    * @param json
    * @return
    */
   ResultJSON add(String userId, String json);

   ResultJSON remove(String userId, String id);

   ResultJSON removeBatch(String userId, String ids);

   ResultJSON queryWlsfc(int page, int rows,String params);

   ResultJSON queryHistory(int page, int rows, String params);
   ResultJSON test(String userId,  String params);
}
